public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-03-31  0:00 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-03-31  0:00 UTC (permalink / raw
  To: gentoo-commits

commit:     208b8135252716b03184a2e269e82281175f3000
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 31 00:00:21 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Mar 31 00:00:21 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=208b8135

dev-go/gitlab-workhorse: Initial version

Package-Manager: portage-2.2.28

 dev-go/gitlab-workhorse/Manifest                   |  1 +
 .../gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild | 36 ++++++++++++++++++++++
 dev-go/gitlab-workhorse/metadata.xml               |  8 +++++
 3 files changed, 45 insertions(+)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
new file mode 100644
index 0000000..0cad04d
--- /dev/null
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -0,0 +1 @@
+DIST gitlab-workhorse-0.7.1.tar.gz 31713 SHA256 08b0fa6adde1e60eb0b091b98548b77186e75fd19f7f37efd2e477d548636f08 SHA512 ae0067d5ee1d3f82e3f1944f14c8724eb52bec18696ecafee94980d1b7418e0985e36e16f5a9e467e3f8aa87ab69277d88b1915de57406c3f4f8174ecd1745e2 WHIRLPOOL 18afe598bfa94a89657a9071a599baffa0cedb53f1afa31ca2c31fde23e7b102da03346c9016c5bcdbd3201d80ef69d5a048ef20547ecd5949f3390818080303

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
new file mode 100644
index 0000000..28fd23a
--- /dev/null
+++ b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit golang-build golang-vcs-snapshot
+
+EGO_SRC=gitlab.com/gitlab-org/${PN}
+EGO_PN=${EGO_SRC}/...
+
+ARCHIVE_URI="https://${EGO_SRC}/repository/archive.tar.gz?ref=v${PV} -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="A smart reverse proxy for GitLab written in Go"
+HOMEPAGE="https://gitlab.com/gitlab-org/gitlab-workhorse"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="MIT"
+SLOT="0/${PVR}"
+IUSE=""
+
+RESTRICT="test"
+
+src_prepare() {
+	# Fix relative imports
+	pushd src/${EGO_SRC} || die
+	sed -i -e "s#\./#${EGO_SRC}/#" main.go || die
+	sed -i -e "s#\.\./#${EGO_SRC}/internal/#" internal/upstream/routes.go internal/api/api.go \
+		internal/artifacts/artifact_download.go internal/badgateway/roundtripper.go \
+		internal/artifacts/artifacts_upload.go internal/git/git-http.go \
+		internal/git/archive.go internal/lfs/lfs.go internal/proxy/proxy.go \
+		internal/git/blob.go internal/sendfile/sendfile.go internal/staticpages/deploy_page.go \
+		internal/upload/uploads.go internal/staticpages/error_pages.go internal/upstream/upstream.go \
+		internal/staticpages/servefile.go internal/upstream/handlers.go || die
+	sed -i -e "s#\.\./\.\./#${EGO_SRC}/#" cmd/gitlab-zip-cat/main.go cmd/gitlab-zip-metadata/main.go || die
+	popd || die
+}

diff --git a/dev-go/gitlab-workhorse/metadata.xml b/dev-go/gitlab-workhorse/metadata.xml
new file mode 100644
index 0000000..bfcb697
--- /dev/null
+++ b/dev-go/gitlab-workhorse/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer>
+		<email>mrueg@gentoo.org</email>
+		<name>Manuel Rüger</name>
+	</maintainer>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-04-03 17:19 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-04-03 17:19 UTC (permalink / raw
  To: gentoo-commits

commit:     203318d54f4cdca69601532cd876d49be54645e6
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  3 17:19:43 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Apr  3 17:19:43 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=203318d5

dev-go/gitlab-workhorse: Fix install and build

Package-Manager: portage-2.2.28

 .../gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild | 24 ++++++++++------------
 1 file changed, 11 insertions(+), 13 deletions(-)

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
index 28fd23a..ea4f49d 100644
--- a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
+++ b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
@@ -3,7 +3,7 @@
 # $Id$
 
 EAPI=5
-inherit golang-build golang-vcs-snapshot
+inherit golang-base golang-vcs-snapshot
 
 EGO_SRC=gitlab.com/gitlab-org/${PN}
 EGO_PN=${EGO_SRC}/...
@@ -20,17 +20,15 @@ IUSE=""
 
 RESTRICT="test"
 
-src_prepare() {
-	# Fix relative imports
+src_compile() {
+	pushd src/$EGO_SRC || die
+	emake
+	popd
+}
+
+src_install() {
 	pushd src/${EGO_SRC} || die
-	sed -i -e "s#\./#${EGO_SRC}/#" main.go || die
-	sed -i -e "s#\.\./#${EGO_SRC}/internal/#" internal/upstream/routes.go internal/api/api.go \
-		internal/artifacts/artifact_download.go internal/badgateway/roundtripper.go \
-		internal/artifacts/artifacts_upload.go internal/git/git-http.go \
-		internal/git/archive.go internal/lfs/lfs.go internal/proxy/proxy.go \
-		internal/git/blob.go internal/sendfile/sendfile.go internal/staticpages/deploy_page.go \
-		internal/upload/uploads.go internal/staticpages/error_pages.go internal/upstream/upstream.go \
-		internal/staticpages/servefile.go internal/upstream/handlers.go || die
-	sed -i -e "s#\.\./\.\./#${EGO_SRC}/#" cmd/gitlab-zip-cat/main.go cmd/gitlab-zip-metadata/main.go || die
-	popd || die
+	dodoc CHANGELOG README.md
+	emake install PREFIX="${D}"/usr
+	popd
 }


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-04-03 18:23 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-04-03 18:23 UTC (permalink / raw
  To: gentoo-commits

commit:     75a078fb05e04d1fc452e2b7715c7a9ac8cecffc
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  3 18:23:24 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Apr  3 18:23:24 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=75a078fb

dev-go/gitlab-workhorse: Remove git call in Makefile

Package-Manager: portage-2.2.28

 dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
index ea4f49d..871bb2c 100644
--- a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
+++ b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
@@ -3,7 +3,7 @@
 # $Id$
 
 EAPI=5
-inherit golang-base golang-vcs-snapshot
+inherit golang-base vcs-snapshot
 
 EGO_SRC=gitlab.com/gitlab-org/${PN}
 EGO_PN=${EGO_SRC}/...
@@ -20,15 +20,11 @@ IUSE=""
 
 RESTRICT="test"
 
-src_compile() {
-	pushd src/$EGO_SRC || die
-	emake
-	popd
+src_prepare() {
+	sed -i -e 's/VERSION=.*/VERSION=${PV}/' Makefile || die
 }
 
 src_install() {
-	pushd src/${EGO_SRC} || die
 	dodoc CHANGELOG README.md
 	emake install PREFIX="${D}"/usr
-	popd
 }


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-04-03 18:26 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-04-03 18:26 UTC (permalink / raw
  To: gentoo-commits

commit:     94693585e6ed4ce539d45c43fe3aabfc2d9cb071
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  3 18:26:15 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Apr  3 18:26:15 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=94693585

dev-go/gitlab-workhorse: Remove superfluous variables

Package-Manager: portage-2.2.28

 dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
index 871bb2c..ccbf9cb 100644
--- a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
+++ b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
@@ -5,15 +5,11 @@
 EAPI=5
 inherit golang-base vcs-snapshot
 
-EGO_SRC=gitlab.com/gitlab-org/${PN}
-EGO_PN=${EGO_SRC}/...
-
-ARCHIVE_URI="https://${EGO_SRC}/repository/archive.tar.gz?ref=v${PV} -> ${P}.tar.gz"
-KEYWORDS="~amd64"
-
 DESCRIPTION="A smart reverse proxy for GitLab written in Go"
 HOMEPAGE="https://gitlab.com/gitlab-org/gitlab-workhorse"
-SRC_URI="${ARCHIVE_URI}"
+SRC_URI="https://gitlab.com/gitlab-org/gitlab-workhorse/repository/archive.tar.gz?ref=v${PV} -> ${P}.tar.gz"
+
+KEYWORDS="~amd64"
 LICENSE="MIT"
 SLOT="0/${PVR}"
 IUSE=""


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-04-10  1:37 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-04-10  1:37 UTC (permalink / raw
  To: gentoo-commits

commit:     9be7d7d2eb3098ebfaf337a1e8ba23ec2274752d
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 01:37:13 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 01:37:13 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=9be7d7d2

dev-go/gitlab-workhorse: Version bump to 0.7.2, remove old

Package-Manager: portage-2.2.28

 dev-go/gitlab-workhorse/Manifest                                        | 2 +-
 .../{gitlab-workhorse-0.7.1.ebuild => gitlab-workhorse-0.7.2.ebuild}    | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
index 0cad04d..9fc2a77 100644
--- a/dev-go/gitlab-workhorse/Manifest
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -1 +1 @@
-DIST gitlab-workhorse-0.7.1.tar.gz 31713 SHA256 08b0fa6adde1e60eb0b091b98548b77186e75fd19f7f37efd2e477d548636f08 SHA512 ae0067d5ee1d3f82e3f1944f14c8724eb52bec18696ecafee94980d1b7418e0985e36e16f5a9e467e3f8aa87ab69277d88b1915de57406c3f4f8174ecd1745e2 WHIRLPOOL 18afe598bfa94a89657a9071a599baffa0cedb53f1afa31ca2c31fde23e7b102da03346c9016c5bcdbd3201d80ef69d5a048ef20547ecd5949f3390818080303
+DIST gitlab-workhorse-0.7.2.tar.gz 33059 SHA256 27df98156a62a55d0428b6bd131d4756a145aa6cbf20956f0f7157654ae8ab45 SHA512 14f1d5155e47ecc22333eadda95017a76d3c4d7289a520c192a5d84ca52baeedeffc7b5c1b2a7e50a33117bf73298584a15b3efd5c9afe9b123a239ec4bd01d1 WHIRLPOOL 625eb9611a91ae7f4aca837dc851f4649fe8f3472c773cb52e974dd20478a64ba63ce4db1441af98b345d79f96b755356df99eaf46f1454a037b72231b26762f

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.2.ebuild
similarity index 100%
rename from dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
rename to dev-go/gitlab-workhorse/gitlab-workhorse-0.7.2.ebuild


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-04-14 23:06 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-04-14 23:06 UTC (permalink / raw
  To: gentoo-commits

commit:     03786475f1ebe0bbd6099e09dcde2de1652f973f
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 14 23:06:45 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Apr 14 23:06:45 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=03786475

dev-go/gitlab-workhorse: Revert to old version

Package-Manager: portage-2.2.28

 dev-go/gitlab-workhorse/Manifest                                        | 2 +-
 .../{gitlab-workhorse-0.7.2.ebuild => gitlab-workhorse-0.7.1.ebuild}    | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
index 9fc2a77..0cad04d 100644
--- a/dev-go/gitlab-workhorse/Manifest
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -1 +1 @@
-DIST gitlab-workhorse-0.7.2.tar.gz 33059 SHA256 27df98156a62a55d0428b6bd131d4756a145aa6cbf20956f0f7157654ae8ab45 SHA512 14f1d5155e47ecc22333eadda95017a76d3c4d7289a520c192a5d84ca52baeedeffc7b5c1b2a7e50a33117bf73298584a15b3efd5c9afe9b123a239ec4bd01d1 WHIRLPOOL 625eb9611a91ae7f4aca837dc851f4649fe8f3472c773cb52e974dd20478a64ba63ce4db1441af98b345d79f96b755356df99eaf46f1454a037b72231b26762f
+DIST gitlab-workhorse-0.7.1.tar.gz 31713 SHA256 08b0fa6adde1e60eb0b091b98548b77186e75fd19f7f37efd2e477d548636f08 SHA512 ae0067d5ee1d3f82e3f1944f14c8724eb52bec18696ecafee94980d1b7418e0985e36e16f5a9e467e3f8aa87ab69277d88b1915de57406c3f4f8174ecd1745e2 WHIRLPOOL 18afe598bfa94a89657a9071a599baffa0cedb53f1afa31ca2c31fde23e7b102da03346c9016c5bcdbd3201d80ef69d5a048ef20547ecd5949f3390818080303

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.2.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
similarity index 100%
rename from dev-go/gitlab-workhorse/gitlab-workhorse-0.7.2.ebuild
rename to dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-04-24  0:39 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-04-24  0:39 UTC (permalink / raw
  To: gentoo-commits

commit:     b35c73404ef80bb5647f0e27cd0e6edc94ab2ab6
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 17:49:34 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 17:49:34 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=b35c7340

dev-go/gitlab-workhorse: Use golang eclasses

Package-Manager: portage-2.2.28

 dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
index ccbf9cb..9e839ff 100644
--- a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
+++ b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
@@ -3,7 +3,10 @@
 # $Id$
 
 EAPI=5
-inherit golang-base vcs-snapshot
+
+EGO_PN="gitlab.com/gitlab-org/gitlab-workhorse/..."
+
+inherit golang-build golang-vcs-snapshot
 
 DESCRIPTION="A smart reverse proxy for GitLab written in Go"
 HOMEPAGE="https://gitlab.com/gitlab-org/gitlab-workhorse"
@@ -17,10 +20,14 @@ IUSE=""
 RESTRICT="test"
 
 src_prepare() {
-	sed -i -e 's/VERSION=.*/VERSION=${PV}/' Makefile || die
+	sed -i -e 's/VERSION=.*/VERSION=${PV}/' -e "1iexport GOPATH?=" -e "s/PREFIX=/PREFIX?=/" src/${EGO_PN%/*}/Makefile || die
+}
+
+src_compile() {
+	emake GOPATH="${WORKDIR}/${P}/_build:$(get_golibdir_gopath)" -C src/${EGO_PN%/*}
 }
 
 src_install() {
-	dodoc CHANGELOG README.md
-	emake install PREFIX="${D}"/usr
+	emake GOPATH="${WORKDIR}/${P}/_build:$(get_golibdir_gopath)" -C src/${EGO_PN%/*} DESTDIR="${D}" PREFIX=/usr install
+	dodoc src/${EGO_PN%/*}/CHANGELOG src/${EGO_PN%/*}/README.md
 }


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-08-16 17:06 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-08-16 17:06 UTC (permalink / raw
  To: gentoo-commits

commit:     4e01035d8b9d8f0832523d8f7f2d66eeaec23847
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 16 17:06:03 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Aug 16 17:06:03 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=4e01035d

dev-go/gitlab-workhorse: Version bump, remove old

Package-Manager: portage-2.3.0

 dev-go/gitlab-workhorse/Manifest                                      | 2 +-
 .../{gitlab-workhorse-0.7.1.ebuild => gitlab-workhorse-0.7.9.ebuild}  | 4 ++--
 dev-go/gitlab-workhorse/metadata.xml                                  | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
index 0cad04d..c949046 100644
--- a/dev-go/gitlab-workhorse/Manifest
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -1 +1 @@
-DIST gitlab-workhorse-0.7.1.tar.gz 31713 SHA256 08b0fa6adde1e60eb0b091b98548b77186e75fd19f7f37efd2e477d548636f08 SHA512 ae0067d5ee1d3f82e3f1944f14c8724eb52bec18696ecafee94980d1b7418e0985e36e16f5a9e467e3f8aa87ab69277d88b1915de57406c3f4f8174ecd1745e2 WHIRLPOOL 18afe598bfa94a89657a9071a599baffa0cedb53f1afa31ca2c31fde23e7b102da03346c9016c5bcdbd3201d80ef69d5a048ef20547ecd5949f3390818080303
+DIST gitlab-workhorse-0.7.9.tar.gz 34588 SHA256 0b86820f3c90078eac3fa67b135186ee7eccd101a9fa116e335f9bc8dff676ac SHA512 141908e911a261648d483fdefc5ab7e1ed4ef20ca250b57cd318adc0ff836c19774b50543c1b31e904e3fd83b85f6567fa7db5c9d3c81e185a792d309f01c8ba WHIRLPOOL b71bf2e5c2efd5cde0f449d63b6ee582ad236b945ab843e5e801accc75673e7607913eac624d1336567547dee301cf54b5160693112b47a47a95dbc02cb5bcc4

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.9.ebuild
similarity index 72%
rename from dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
rename to dev-go/gitlab-workhorse/gitlab-workhorse-0.7.9.ebuild
index 9e839ff..1c44bb8 100644
--- a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.1.ebuild
+++ b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.9.ebuild
@@ -24,10 +24,10 @@ src_prepare() {
 }
 
 src_compile() {
-	emake GOPATH="${WORKDIR}/${P}/_build:$(get_golibdir_gopath)" -C src/${EGO_PN%/*}
+	emake GOPATH="${WORKDIR}/${P}/src/gitlab.com/gitlab-org/gitlab-workhorse/_build:$(get_golibdir_gopath)" -C src/${EGO_PN%/*}
 }
 
 src_install() {
-	emake GOPATH="${WORKDIR}/${P}/_build:$(get_golibdir_gopath)" -C src/${EGO_PN%/*} DESTDIR="${D}" PREFIX=/usr install
+	emake GOPATH="${WORKDIR}/${P}/src/gitlab.com/gitlab-org/gitlab-workhorse/_build:$(get_golibdir_gopath)" -C src/${EGO_PN%/*} DESTDIR="${D}" PREFIX=/usr install
 	dodoc src/${EGO_PN%/*}/CHANGELOG src/${EGO_PN%/*}/README.md
 }

diff --git a/dev-go/gitlab-workhorse/metadata.xml b/dev-go/gitlab-workhorse/metadata.xml
index bfcb697..97df2a0 100644
--- a/dev-go/gitlab-workhorse/metadata.xml
+++ b/dev-go/gitlab-workhorse/metadata.xml
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer>
+	<maintainer type="person">
 		<email>mrueg@gentoo.org</email>
 		<name>Manuel Rüger</name>
 	</maintainer>


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-08-22 21:52 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-08-22 21:52 UTC (permalink / raw
  To: gentoo-commits

commit:     f92e70022ad4be3b723899a8fbd260e50ff52cbb
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 22 21:48:17 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Aug 22 21:48:17 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=f92e7002

dev-go/gitlab-workhorse: Version bump, remove old

Package-Manager: portage-2.3.0

 dev-go/gitlab-workhorse/Manifest                                        | 2 +-
 .../{gitlab-workhorse-0.7.9.ebuild => gitlab-workhorse-0.7.10.ebuild}   | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
index c949046..8c45db8 100644
--- a/dev-go/gitlab-workhorse/Manifest
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -1 +1 @@
-DIST gitlab-workhorse-0.7.9.tar.gz 34588 SHA256 0b86820f3c90078eac3fa67b135186ee7eccd101a9fa116e335f9bc8dff676ac SHA512 141908e911a261648d483fdefc5ab7e1ed4ef20ca250b57cd318adc0ff836c19774b50543c1b31e904e3fd83b85f6567fa7db5c9d3c81e185a792d309f01c8ba WHIRLPOOL b71bf2e5c2efd5cde0f449d63b6ee582ad236b945ab843e5e801accc75673e7607913eac624d1336567547dee301cf54b5160693112b47a47a95dbc02cb5bcc4
+DIST gitlab-workhorse-0.7.10.tar.gz 34560 SHA256 4c26553b562feb4c0cb7706670b156aefad5b8c722acc072c7ec1244c3407d7e SHA512 c75c4fbbedc0dfd7c494e5346d66f33073e8dc1261cec2d2fd193155681961f200e33bc70562c1f41cefc39a3de3792670765b2e80b000cc7c638fb18baf4c6a WHIRLPOOL ac08cacb2e1c6cdb8930529e7a4f000733e9339837ccd2150ab4b7a2489d5e1a5b6b36278d8a863b917f911b04955f00f58836d6720c3b99978c96234c864120

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.9.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.10.ebuild
similarity index 100%
rename from dev-go/gitlab-workhorse/gitlab-workhorse-0.7.9.ebuild
rename to dev-go/gitlab-workhorse/gitlab-workhorse-0.7.10.ebuild


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-09-01 15:03 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-09-01 15:03 UTC (permalink / raw
  To: gentoo-commits

commit:     eae1f5a6cb3e220eb912e9f67e5bf591b93c0f60
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  1 15:03:46 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Sep  1 15:03:46 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=eae1f5a6

dev-go/gitlab-workhorse: Version bump, remove old

Package-Manager: portage-2.3.0

 dev-go/gitlab-workhorse/Manifest                                        | 2 +-
 .../{gitlab-workhorse-0.7.10.ebuild => gitlab-workhorse-0.7.11.ebuild}  | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
index 8c45db8..82c18fb 100644
--- a/dev-go/gitlab-workhorse/Manifest
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -1 +1 @@
-DIST gitlab-workhorse-0.7.10.tar.gz 34560 SHA256 4c26553b562feb4c0cb7706670b156aefad5b8c722acc072c7ec1244c3407d7e SHA512 c75c4fbbedc0dfd7c494e5346d66f33073e8dc1261cec2d2fd193155681961f200e33bc70562c1f41cefc39a3de3792670765b2e80b000cc7c638fb18baf4c6a WHIRLPOOL ac08cacb2e1c6cdb8930529e7a4f000733e9339837ccd2150ab4b7a2489d5e1a5b6b36278d8a863b917f911b04955f00f58836d6720c3b99978c96234c864120
+DIST gitlab-workhorse-0.7.11.tar.gz 35006 SHA256 4ffadd9f9696887f3d46055fa8ae47c06ef7095393d91c6918cbd51ab3bb7d9e SHA512 4164682161d756212964f8fc126613338a75dfbb4361b6ffa5fb4bada053ed6aad902a44971db4761fcde0813e3467dbfbd77a2958b2ff945fdd93d59c8c7aae WHIRLPOOL d4d38c08b4aff0fc09d7b715ee4fca955afb7202e578fecd5e53bdd9e25b3647bcab943c400e93faf6cc1b64c747d24d635f3c34d229cf4efbef24e0039ce833

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.10.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.11.ebuild
similarity index 100%
rename from dev-go/gitlab-workhorse/gitlab-workhorse-0.7.10.ebuild
rename to dev-go/gitlab-workhorse/gitlab-workhorse-0.7.11.ebuild


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-09-10 21:18 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-09-10 21:18 UTC (permalink / raw
  To: gentoo-commits

commit:     7e00b4ab8bb8a13d8663faab868b162a672985c6
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 10 21:18:12 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Sep 10 21:18:12 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=7e00b4ab

dev-go/gitlab-workhorse: Version bump, remove old

Package-Manager: portage-2.3.0

 dev-go/gitlab-workhorse/Manifest                                        | 2 +-
 .../{gitlab-workhorse-0.7.11.ebuild => gitlab-workhorse-0.8.1.ebuild}   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
index 82c18fb..db2e245 100644
--- a/dev-go/gitlab-workhorse/Manifest
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -1 +1 @@
-DIST gitlab-workhorse-0.7.11.tar.gz 35006 SHA256 4ffadd9f9696887f3d46055fa8ae47c06ef7095393d91c6918cbd51ab3bb7d9e SHA512 4164682161d756212964f8fc126613338a75dfbb4361b6ffa5fb4bada053ed6aad902a44971db4761fcde0813e3467dbfbd77a2958b2ff945fdd93d59c8c7aae WHIRLPOOL d4d38c08b4aff0fc09d7b715ee4fca955afb7202e578fecd5e53bdd9e25b3647bcab943c400e93faf6cc1b64c747d24d635f3c34d229cf4efbef24e0039ce833
+DIST gitlab-workhorse-0.8.1.tar.gz 242011 SHA256 d037cf2b340a14d29ad1a8e399c58e8f0fbf18e79eca8ed343a70d7dfaf0e6e9 SHA512 9ab5a6822b4dfbf67bfc0fbae97a0a741052e306ac5184abe5fc1246e722c80bbabe2354b9cdee31676e482bc85c597ad7a0401af7a3b8c6289b97579cda8e02 WHIRLPOOL fc4866bd3aab4172ced17255a8c170a8dd658998374baccae78a4e9e7243fa545af0847a380088f7ce06ae0f9d67ba52d15b810162052e32096acd3274d716fd

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.11.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.8.1.ebuild
similarity index 98%
rename from dev-go/gitlab-workhorse/gitlab-workhorse-0.7.11.ebuild
rename to dev-go/gitlab-workhorse/gitlab-workhorse-0.8.1.ebuild
index 1c44bb8..ec9ef3b 100644
--- a/dev-go/gitlab-workhorse/gitlab-workhorse-0.7.11.ebuild
+++ b/dev-go/gitlab-workhorse/gitlab-workhorse-0.8.1.ebuild
@@ -17,7 +17,7 @@ LICENSE="MIT"
 SLOT="0/${PVR}"
 IUSE=""
 
-RESTRICT="test"
+#RESTRICT="test"
 
 src_prepare() {
 	sed -i -e 's/VERSION=.*/VERSION=${PV}/' -e "1iexport GOPATH?=" -e "s/PREFIX=/PREFIX?=/" src/${EGO_PN%/*}/Makefile || die


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/
@ 2016-10-15 21:39 Manuel Rüger
  0 siblings, 0 replies; 12+ messages in thread
From: Manuel Rüger @ 2016-10-15 21:39 UTC (permalink / raw
  To: gentoo-commits

commit:     e95c201827ac923e161f07fea9bb010c6a2c2c16
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 15 21:39:36 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Oct 15 21:39:36 2016 +0000
URL:        https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=e95c2018

dev-go/gitlab-workhorse: Version bump to 0.8.6

Package-Manager: portage-2.3.2

 dev-go/gitlab-workhorse/Manifest                                        | 2 +-
 .../{gitlab-workhorse-0.8.1.ebuild => gitlab-workhorse-0.8.5.ebuild}    | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-go/gitlab-workhorse/Manifest b/dev-go/gitlab-workhorse/Manifest
index db2e245..b0503f7 100644
--- a/dev-go/gitlab-workhorse/Manifest
+++ b/dev-go/gitlab-workhorse/Manifest
@@ -1 +1 @@
-DIST gitlab-workhorse-0.8.1.tar.gz 242011 SHA256 d037cf2b340a14d29ad1a8e399c58e8f0fbf18e79eca8ed343a70d7dfaf0e6e9 SHA512 9ab5a6822b4dfbf67bfc0fbae97a0a741052e306ac5184abe5fc1246e722c80bbabe2354b9cdee31676e482bc85c597ad7a0401af7a3b8c6289b97579cda8e02 WHIRLPOOL fc4866bd3aab4172ced17255a8c170a8dd658998374baccae78a4e9e7243fa545af0847a380088f7ce06ae0f9d67ba52d15b810162052e32096acd3274d716fd
+DIST gitlab-workhorse-0.8.5.tar.gz 246779 SHA256 babfe1c7db58e9be6f40f21c5d3e02cd6c43b0927c05a609e35b308416dcc1b8 SHA512 370d09b4823d83171cddfed24855f80f853ce2d0e40e55d078259cd69b55c2e2fab510ea3e99e8d45d1b6004427eb83357da9eab9aa678947737d1d09b6f32ad WHIRLPOOL f0fa548f14e772f38d7364d354e15ba35e94a3bb7b4aaf4816db17de1de5fcc1aa75e224951871d58c386e7d1322f94d3094bafd38d3be0e7861f4c125b4b2a9

diff --git a/dev-go/gitlab-workhorse/gitlab-workhorse-0.8.1.ebuild b/dev-go/gitlab-workhorse/gitlab-workhorse-0.8.5.ebuild
similarity index 100%
rename from dev-go/gitlab-workhorse/gitlab-workhorse-0.8.1.ebuild
rename to dev-go/gitlab-workhorse/gitlab-workhorse-0.8.5.ebuild


^ permalink raw reply related	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2016-10-15 21:39 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-08-16 17:06 [gentoo-commits] dev/mrueg:master commit in: dev-go/gitlab-workhorse/ Manuel Rüger
  -- strict thread matches above, loose matches on Subject: below --
2016-10-15 21:39 Manuel Rüger
2016-09-10 21:18 Manuel Rüger
2016-09-01 15:03 Manuel Rüger
2016-08-22 21:52 Manuel Rüger
2016-04-24  0:39 Manuel Rüger
2016-04-14 23:06 Manuel Rüger
2016-04-10  1:37 Manuel Rüger
2016-04-03 18:26 Manuel Rüger
2016-04-03 18:23 Manuel Rüger
2016-04-03 17:19 Manuel Rüger
2016-03-31  0:00 Manuel Rüger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox